//--------------------------------------------------------------------
// SS-232C-RLSW-******hCopWW[(for VisualStudio2005 C#)
// 2015/03/30
// VXeTRHƊ
//--------------------------------------------------------------------
using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;

namespace SYSTEMSACOM
{
    class SS232CRLSW
    {
        //--------------------------------------------------------------------------------
        //DLL֐
        //--------------------------------------------------------------------------------
        private const string FILE = @".\ss232crlsw.dll";
        [DllImport(FILE)]
        public static extern int SS232CRLSW_open(string com,uint baudrate,byte byte_size,byte parity,byte stop_bits);
        [DllImport(FILE)]
        public static extern void SS232CRLSW_close();
        [DllImport(FILE)]
        public static extern int SS232CRLSW_unit_number(ref byte id);
        [DllImport(FILE)]        
        public static extern int SS232CRLSW_read_output_data(byte id, ref short data);
        [DllImport(FILE)]
        public static extern int SS232CRLSW_get_version_number(byte id, StringBuilder version, int length);
        [DllImport(FILE)]
        public static extern int SS232CRLSW_output_data(byte id, short data);
        //--------------------------------------------------------------------------------
        //DLL
        //--------------------------------------------------------------------------------
        public enum PARITY
        {
            None = 0,
            Odd = 1,
            Even = 2
        }
        public enum STOPBIT
        {
            Bit1 = 0,
            Bit2 = 2
        }
        //--------------------------------------------------------------------------------
        //DLL߂l
        //--------------------------------------------------------------------------------
        public const int RET_OK = 0;
        public const int RET_ERR_OPEN = -1;
        public const int RET_ERR_SEND = -2;
        public const int RET_ERR_READ = -3;
        public const int RET_ERR_SET_COM_STATE = -4;
        public const int RET_ERR_TIMEOUT = -5;
        public const int RET_ERR_NO_DELIMITER = -6;
        public const int RET_ERR_BAUDRATE = -10;
        public const int RET_ERR_BYTE_SIZE = -11;
        public const int RET_ERR_PARITY = -12;
        public const int RET_ERR_STOP_BITS = -13;
        public const int RET_ERR_RCV_FORMAT = -14;
    }
}
